CLASS TEMPLATE(3)

NAME
boost::static_visitor - Convenient base type for static visitors.

SYNOPSIS

// In header: <boost/variant/static_visitor.hpp>
template<typename ResultType>
class static_visitor {
public:
  // types
  typedef ResultType result_type;  // Exposes result_type member as required by StaticVisitor concept.
};

DESCRIPTION

Denotes the intent of the deriving class as meeting the requirements of a static visitor of some type. Also exposes the inner type result_type as required by the StaticVisitor concept.

Notes: static_visitor is intended for use as a base type only and is therefore noninstantiable.